POST
/api/v2/users/{userId}/kyc/equalsmoney/informationSubmit a text answer requested by EqualsMoney for a user. Requires company API key authentication.
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| userId (path) | unknown | Yes | User ID whose EqualsMoney application requested the information |
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| Type | string | Yes | |
| Response | string | Yes | |
| AssociatedPersonId | string | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Success | boolean | No | |
| Type | string | No | |
| RemainingAdditionalDocumentsRequested | array of EqualsMoneyAdditionalDocumentRequestV2 | No |
400 — Bad Request
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
401 — Unauthorized
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
404 — Not Found
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
500 — Internal Server Error
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
Example request
curl -X POST "https://{base_url}/api/v2/users/{userId}/kyc/equalsmoney/information" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"Type":"…","Response":"…"}'This page is generated from the live OpenAPI specification and always matches the current API.